Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/api/v1/events/{eventId}/sessionsGET
Authorization
apiKey *Bearer <token>
Event API key from Settings → API. Token in: header
Query Parameters
q?string
Max length: 100
kind?"CONTENT" | "SERVICE"
status?"DRAFT" | "PENDING" | "ACCEPT_QUEUE" | "ACCEPTED" | "DECLINE_QUEUE" | "DECLINED" | "WITHDRAWN"
visibility?"PUBLIC" | "PRIVATE"
scheduled?boolean
Response
200
data *object[]
Show item properties
id *string
eventId *string
submitterSpeakerId *string | null
kind *"CONTENT" | "SERVICE"
status *"DRAFT" | "PENDING" | "ACCEPT_QUEUE" | "ACCEPTED" | "DECLINE_QUEUE" | "DECLINED" | "WITHDRAWN"
title *string | null
description *string | null
visibility *"PUBLIC" | "PRIVATE"
coverImageFileId *string | null
track *object | null
format *object | null
room *object | null
startsAt *number | null
endsAt *number | null
participants *object[]
Show item properties
id *string
role *"SPEAKER" | "MODERATOR"
confirmationStatus *"PENDING" | "CONFIRMED" | "DECLINED"
sortOrder *integer
Min: -9007199254740991Max: 9007199254740991
speaker *object
Show properties
id *string
firstName *string
lastName *string
email *string
submittedAt *number | null
decidedAt *number | null
notifiedAt *number | null
withdrawnAt *number | null
icsSequence *integer
Min: -9007199254740991Max: 9007199254740991
createdAt *number
updatedAt *number
400
code *string
message *string
details?object
401
code *string
message *string
details?object
403
code *string
message *string
details?object
404
code *string
message *string
details?object
500
code *string
message *string
details?object
Request example
curl -X GET "https://opensession.dev/api/v1/events/<eventId>/sessions" \ -H "Authorization: Bearer <token>"